- Qt 6.10
- Qt WebEngine
- C++ Classes
- QtWebEngineCore
- QWebEngineNewWindowRequest
- Qt 6.10.2 Reference Documentation

# QWebEngineNewWindowRequest Class

A utility type for the QWebEnginePage::newWindowRequested() signal. More...

Header: | `#include <QWebEngineNewWindowRequest>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS WebEngineCore)` `target_link_libraries(mytarget PRIVATE Qt6::WebEngineCore)`
qmake: | `QT += webenginecore`
Since: | Qt 6.2
In QML: | WebEngineNewWindowRequest

- List of all members, including inherited members

## Public Types

enum | DestinationType { InNewWindow, InNewTab, InNewDialog, InNewBackgroundTab }

## Properties

- destination : const DestinationType
- requestedGeometry : const QRect
- requestedUrl : const QUrl
- userInitiated : const bool

## Public Functions

QWebEngineNewWindowRequest::DestinationType | destination() const
bool | isUserInitiated() const
void | openIn(QWebEnginePage *page)
QRect | requestedGeometry() const
QUrl | requestedUrl() const

## Detailed Description

Contains information about a request to load a page in a separate web engine view.

See also QWebEnginePage::newWindowRequested().

## Member Type Documentation

### enum QWebEngineNewWindowRequest::DestinationType

This enum describes the type of window requested:

Constant | Value | Description
--- | --- | ---
`QWebEngineNewWindowRequest::InNewWindow` | `0` | In a separate window.
`QWebEngineNewWindowRequest::InNewTab` | `1` | In a tab of the same window.
`QWebEngineNewWindowRequest::InNewDialog` | `2` | In a window without a tab bar, toolbar, or URL bar.
`QWebEngineNewWindowRequest::InNewBackgroundTab` | `3` | In a tab of the same window, without hiding the currently visible web engine view.

## Property Documentation

### `[read-only]` destination : const DestinationType

This property holds the type of window that is requested.

Access functions:

QWebEngineNewWindowRequest::DestinationType | destination() const

### `[read-only]` requestedGeometry : const QRect

This property holds the size that is requested for the new page.

Access functions:

QRect | requestedGeometry() const

### `[read-only]` requestedUrl : const QUrl

This property holds the URL that is requested for the new page.

Access functions:

QUrl | requestedUrl() const

### `[read-only]` userInitiated : const bool

Whether this page request was directly triggered as the result of a keyboard or mouse event.

You can use this property to block automatic popups.

Access functions:

bool | isUserInitiated() const

## Member Function Documentation

### void QWebEngineNewWindowRequest::openIn(QWebEnginePage *page)

Opens the requested window in the view represented by page.

See also QWebEnginePage::newWindowRequested.